$(function (){
	CheckMode();
	try {
		$('.newsListImg label span').css({"position":"relative"})
		$('.newsListImg label span img').css({"display":"none","position":"absolute","left":"-50px","top":"22px"})
		$('.newsListImg label #showMode_5 + span img').css({"left":"-150px"})
		$('.newsListImg label #showMode_6 + span img').css({"left":"-230px"})
		$('.newsListImg label').mouseover(function (){
			$(this).find('img').css({"display":""})
			$(this).hover(function (){
				
			},function (){
				$(this).find('img').css({"display":"none"})
			});
		});
	}catch (e) { }

	try {
		CheckWebID();
		CheckHomeItme();
	}catch (e) { }

	WindowHeight(0);

});


// 检测模式
function CheckMode(){
	try {
		$id('itemBox').style.display="none";
		$id('urlBox').style.display="none";
		$id('webBox').style.display="none";
		if ($id('mode').value=='web'){
			$id('webBox').style.display="";
		}else if ($id('mode').value=='url'){
			$id('urlBox').style.display="";
		}else if ($id('mode').value=='item'){
			$id('itemBox').style.display="";
		}
	}catch (e) {}
	WindowHeight(0);
}


// 检测表单
function CheckForm(){
	if ($id('theme').value==""){alert("栏目名称不能为空！");$id('theme').focus();return false;}
	if ($id('dataID').value==$id('fatID').value){
		alert("栏目所属不能选择自己作为父类");$id('fatID').focus();return false;
	}
	if ($id('fatID').value!="" && $id('showMode_5').checked){
		alert("非顶级分类，显示样式不允许选择[分类列表]");$id('showMode_1').focus();return false;
	}
	if ($id('mode').value=='web'){
		if ($id('webID').value==""){alert("请选择单篇页！");$id('webID').focus();return false;}
	}else if ($id('mode').value=='url'){
		if ($id('webURL').value=="" || $id('webURL').value=="http://"){alert("请输入外部链接！");$id('webURL').focus();return false;}
	}
	return true
}

// 显示/隐藏二级栏目
function CheckInfoType(num){
	var displayStr="";
	if (num==2){
		if ($('#infoType2Btn').val()=="隐藏二级栏目"){ displayStr="none"; $('#infoType2Btn').val('显示二级栏目'); }else{ $('#infoType2Btn').val('隐藏二级栏目'); }
		
	}else if (num==3){
		if ($('#infoType3Btn').val()=="隐藏三级栏目"){ displayStr="none"; $('#infoType2Btn').val('显示三级栏目'); }else{ $('#infoType3Btn').val('隐藏三级栏目'); }
		
	}

	$('.infoType2').css("display",displayStr);

	WindowHeight(0);
}

// 检测单篇信息栏目
function CheckWebID(){
/*
	if ($id('webID').value==""){
		$id('webURL').disabled=false;
		if ($id('webURL').value.substr(0,7)!="http://"){
			$id('webURL').value='http://';
		}
	}else{
		$id('webURL').disabled=true;
		$id('webURL').value='{OT_web:'+ $id('webID').value +'}';
	}
*/
}

// 检查首页栏目
function CheckHomeItme(){
	if ($id('isHome1').checked){
		$('.homeItemClass').css('display','');
	}else{
		$('.homeItemClass').css('display','none');
	}
	WindowHeight(0);
}